%define pkgname	gnome-chemistry-utils
%define version	0.1.7
%define release	1mdk

%define major 	0
%define libname %mklibname %name %major

Summary:	Backend for Gnome chemistry applications
Name:		gcu
Version: 	%version
Release: 	%release
License: 	LGPL
Group:		Sciences/Chemistry
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
URL:		http://www.nongnu.org/gchemutils/

Source:		http://savannah.nongnu.org/download/gchemutils/unstable.pkg/%{version}/%{pkgname}-%version.tar.bz2
Patch0:		%{name}-libtool-1.5.patch.bz2

BuildRequires:	libbonoboui2-devel
BuildRequires:	libglade2.0-devel
BuildRequires:	libgnomeprint2-2-devel
BuildRequires:	libgtkglext-devel
BuildRequires:	openbabel-devel
Requires:	%libname = %{version}-%{release}
Provides:	%{pkgname} = %{version}-%{release}
Provides:	gchemutils = %{version}-%{release}

%description
The Gnome Chemistry Utils provide C++ classes and GTK2 widgets related to
chemistry.  They are currently used in Gnome Crystal (gcrystal) and Gnome
Chemistry Paint (gchempaint).

%package -n %libname
Summary:	Main libraries for %name.
Group:		System/Libraries
Requires:	%name = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %name.                                                                                                                            

%package -n %{libname}-devel
Summary:        Development tools for programs which will use the %libname library.
Group:          Development/GNOME and GTK+
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:	%{pkgname}-devel = %{version}-%{release}

%description -n %{libname}-devel
The %{libname}-devel package includes the header files and static libraries
necessary for developing programs using the %{libname} library.

If you are going to develop programs which will use this library
you should install %{libname}-devel.  You'll also need to have the %libname
package installed.

%prep
%setup -q -n %{pkgname}-%version
%patch0 -p1 -b .libtool15

%build
%define __libtoolize /bin/true
%configure2_5x --enable-static=yes
perl -pi -e 's@^(sys_lib_dlsearch_path_spec="/lib /usr/lib)"@$1 /usr/X11R6/%{_lib}"@' libtool
%make

%install
rm -rf $RPM_BUILD_ROOT
rm -rf `pwd`/reference
%makeinstall_std HTMLDIR=`pwd`/reference/html
%find_lang %{pkgname}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -f %{pkgname}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README
%_bindir/gchem3d
%_datadir/gchemutils
%_libdir/bonobo/servers/*.server

%files -n %libname
%defattr(-, root, root)
%_libdir/*.so.*

%files -n %libname-devel
%defattr(-, root, root)
%doc reference
%_includedir/%name
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la
%_libdir/pkgconfig/*.pc
%_datadir/mime-info/gchemutils.keys
%_datadir/mime-info/gchemutils.mime

%changelog
* Tue Sep  2 2003 Abel Cheung <deaddog@deaddog.org> 0.1.7-1mdk
- 0.1.7
- use makeinstall_std and configure2_5x
- fix BuildRequires
- Source1 removed (upstream)
- LGPL
- avoid binary-or-shlib-defines-rpath, taken from an idea in MDK
  libtool patch

* Mon Aug 25 2003 Austin Acton <aacton@yorku.ca> 0.1.6-2mdk
- more buildrequires
- be sure to build with gtkglext
- add missing headers

* Fri Aug 22 2003 Austin Acton <aacton@yorku.ca> 0.1.6-1mdk
- 0.1.6
- no confiugre macro (goofs .so's)

* Fri Apr 25 2003 Austin Acton <aacton@yorku.ca> 0.1.3-2mdk
- buildrequires glu

* Tue Apr 1 2003 Austin Acton <aacton@yorku.ca> 0.1.3-1mdk
- 0.1.3
- remove patches (merged u/s)
- fixup specfile

* Fri Jan 03 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.1.2-2mdk
- use find_lang macro
- fix files section
- from Austin Acton <aacton@yorku.ca> :
	- add patch for libgnomeprint2.2 problems


* Sat Dec 7 2002 Austin Acton <aacton@yorku.ca> 0.1.2-1mdk
- initial package

